# CapturePhotoQualityPrioritization enum

The prioritization of still image quality and capturing speed. Has no effect on devices prior to iOS 13.0. iOS only.

Inheritance
  - Object
  - Enum
  - CapturePhotoQualityPrioritization
Available extensions
  - EnumName

## Values

SPEED → const CapturePhotoQualityPrioritization

  Captures a still image at the highest possible speed. The quality of the image may be degraded. iOS only. */

BALANCED → const CapturePhotoQualityPrioritization

  Balances capturing speed and image quality equally. This is the default value. */

QUALITY → const CapturePhotoQualityPrioritization

  Captures a still image with the best possible quality in terms of noise, frozen motion and detail in low light. The speed of the capturing might be significantly reduced. */

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
index → int
  A numeric identifier for the enumerated value.
  no setter inherited
name → String

  Available on Enum, provided by the EnumName extension

  The name of the enum value.
  no setter
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

values → const List<CapturePhotoQualityPrioritization>
  A constant List of the values in this enum, in order of their declaration.